// 密码认证
export { PasswordAuth, type AuthenticationResult, type PasswordAuthConfig } from './password-auth';

// 类型定义（从 types 模块重新导出）
export type { PasswordValidator } from '../types';

// 工具类
export { CookieUtils, type CookieConfig } from './utils/cookie-utils';
export { HtmlTemplates, type PageConfig } from './utils/html-templates';

// 存储管理器
export { TokenManager } from './token-manager';
export { SessionManager } from './session-manager'; 