export enum MessageType {
	TEXT = 'text',
	IMAGE = 'image',
	FILE = 'file',
	RETRACT = 'retract', // 用于实现撤回
}

export interface WSMessageParams {
	text?: string;
	type?: MessageType;
	fileUri?: string;
}

export interface WSMessage {
	action: 'join' | 'leave' | 'message' | 'system' | 'error';
	roomId?: string;
	data: WSMessageParams;
}
