import { defineConfig } from 'tsup';

export default defineConfig({
	entry: ['src/index.ts'],
	format: ['esm', 'cjs'],
	dts: true,
	clean: true,
	outDir: 'dist',
	treeshake: true,
	sourcemap: true,
	external: [
		'@aws-sdk/client-s3',
		'@shopify/semaphore',
		'debug',
		'lodash.throttle',
		'multistream',
		'ioredis',
		'@redis/client',
	],
});
